#include "pairs.hh"

Level Wily1 =
{
	6, // level number
	"Wily1",

	// screens:
	{
		{
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"                "   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 0 // monster graphics index
		,LevelBegin| Right},
		{
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "       t        "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"                "   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 0 // monster graphics index
		,Right},
		{
		"..........######"   "                "
		"..........######"   "                "
		"..........######"   "                "
		"..........######"   "                "
		"..........######"   "                "
		"..........######"   "                "
		"..........######"   "                "
		"..........######"   "                "
		"..........GGGGGG"   "                "
		"..........GGGGGG"   "                "
		"..........GG##GG"   "                "
		"          GG##GG"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 0 // monster graphics index
		,Right},
		{
		"#############|##"   "                "
		"#############|##"   "                "
		"########### V|##"   "                "
		"########### V|##"   "                "
		"######## V  V###"   "                "
		"######## V  V###"   "                "
		"##### V  V #X###"   "                "
		"##### V  V #X###"   "                "
		"      V #V######"   "                "
		"      V #V######"   "                "
		"    ##X#########"   "            I   "
		"    ##X#########"   "                "
		"################"   "         I      "
		"################"   "                "
		"################"   "      I         "
		"################"   "                "
		, 0 // monster graphics index
		,Up},
		{
		"##|#############"   "                "
		"##|#############"   "                "
		"##|#####   #####"   "                "
		"##|#####   #####"   "         E      "
		"##|   ####    ##"   "                "
		"##|   ####    ##"   "                "
		"##|        ##|##"   "                "
		"##|        ##|##"   "                "
		"##           |##"   "                "
		"##   ##      |##"   "                "
		"##   ##      |##"   "                "
		"##   ##  #  #|##"   "                "
		"##^^^##^^#^^#|##"   "                "
		"#############|##"   "                "
		"#############|##"   "                "
		"#############|##"   "                "
		, 1 // monster graphics index
		,Up},
		{
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"##              "   "                "
		"##              "   "                "
		"##              "   "                "
		"##              "   "                "
		"##            ##"   "       j   j   j"
		"##            ##"   "                "
		"##|#############"   "                "
		"##|#############"   "                "
		"##|#############"   "                "
		"##|#############"   "                "
		, 2 // monster graphics index
		,Right},
		{
		"################"   "                "
		"################"   "                "
		"        GGGG  ##"   "                "
		"        GGGG  ##"   "E  j   j        "
		"############  ##"   "                "
		"############  ##"   "                "
		"              ##"   "                "
		"              ##"   "             j  "
		"    ############"   "                "
		"    ############"   "                "
		"  GGGGGG      ##"   "                "
		"  GGGGGG      ##"   "                "
		"           ##|##"   "                "
		"           ##|##"   "                "
		"#############|##"   "                "
		"#############|##"   "                "
		, 2 // monster graphics index
		,Down},
		{
		"##            ##"   "                "
		"##            ##"   "                "
		"##            ##"   "                "
		"##  ############"   "                "
		"##            ##"   "                "
		"##            ##"   "                "
		"##            ##"   "                "
		"##            ##"   "                "
		"####  #  #  # ##"   "               s"
		"####^^#^^#^^# ##"   "                "
		"############# ##"   "                "
		"##            ##"   "                "
		"##            ##"   "                "
		"##|#############"   "                "
		"##|#############"   "                "
		"##|#############"   "                "
		, 2 // monster graphics index
		,Down| RestartPointA},
		{
		"## #############"   "                "
		"## #############"   "                "
		"##  ^^^^^^^^^^^^"   "                "
		"##              "   "                "
		"##              "   "                "
		"##              "   "                "
		"##              "   "                "
		"##              "   "                "
		"##              "   "                "
		"##              "   "                "
		"##              "   "              T "
		"##   ###########"   "                "
		"####            "   "                "
		"####^^^^^^^^^^^^"   "                "
		"################"   "                "
		"################"   "                "
		, 3 // monster graphics index
		,Right},
		{
		"######### ###|##"   "                "
		"######### ###|##"   "                "
		"^^^^^^^^^    |##"   "                "
		"             |##"   "                "
		"           # |##"   "                "
		"             |##"   "                "
		"         ##  |##"   "                "
		"             |##"   "                "
		"      ##     |##"   "                "
		"             |##"   "                "
		"             |##"   "   L    L       "
		"######       |##"   "           pp   "
		"          ######"   "                "
		"^^^^^^^^^^######"   "                "
		"################"   "                "
		"################"   "                "
		, 3 // monster graphics index
		,Up},
		{
		"##|#############"   "                "
		"##|#############"   "                "
		"##|   ##      ##"   "                "
		"##|   ##      ##"   "                "
		"##|   ##  ##  ##"   "                "
		"##|   ##  ##  ##"   "                "
		"##|   ##  ##  ##"   "                "
		"##|   ##  ##  ##"   "                "
		"##|   ##  ##  ##"   "                "
		"##    ##  ##  ##"   "                "
		"##        ##  ##"   "                "
		"##            ##"   "                "
		"##            ##"   "                "
		"#########V###|##"   "                "
		"#########V###|##"   "                "
		"#########V###|##"   "                "
		, 1 // monster graphics index
		,Up},
		{
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"##              "   "                "
		"##              "   "                "
		"##              "   "                "
		"##              "   "                "
		"##            ##"   "                "
		"##            ##"   "                "
		"##|#############"   "                "
		"##|#############"   "                "
		"##|#############"   "                "
		"##|#############"   "                "
		, 1 // monster graphics index
		,Shutter| RestartPointB},
		{
		"################"   "                "
		"################"   "                "
		"XXXXXXXXXXXXXXX#"   "                "
		"XXXXXXXXXXXXXXX#"   "                "
		"XXXXXXXXXXXXXXX#"   "                "
		"XXXXXXXXXXXXXXX#"   "                "
		"XXXXXXXXXXXXXXX#"   "                "
		"XXXXXXXXXXXXXXX#"   "                "
		"XXXXXXXXXXXXXXX#"   "                "
		"XXXXXXXXXXXXXXX#"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 4 // monster graphics index
		,End},
	},

	// palette
	{
		15, 32,  0,  2, 
		15, 43, 25, 44, 
		15, 23,  7, 15, 
		15, 32,  0, 38, 

		15, 44, 17, 15, 
		15, 32, 56, 15, 
		15, 39, 21, 15, 
		15, 48, 17, 15, 

		15, 32,  0,  2, 
		15,  0, 16, 32, 
		15, 23,  7,  7, 
		15, 32,  0, 38, 
	},

	// after doors palette
	{
/* Not used in Wily stages */
	},

	// actives
	{
	},

	// enemies
	{
		Enemy( 128, 0x00,0x00, 0x0 ),
	},

	// level gfx (id, count) (max 16); id is block*4+bank
	{
		{ 0x40, 8 }, { 0x7A, 1 }, { 0xC2, 4 }, { 0xE2, 1 }, 
		{ 0xD8, 1 }, { 0x5E, 1 }, { 0xC0, 2 }, { 0x43, 4 }, 
		{ 0xD8, 2 }, { 0x63, 8 }, 
	},

	// monster gfx tables (max 11) (5 tiles, 2*3bytepalette)
	{
		{ { 0x7A, 0xC2, 0xC6, 0x62, 0x72, }, { 39,21,15, 48,17,15,} },
		{ { 0x6E, 0x7E, 0xBE, 0x62, 0x72, }, { 48,17,15, 48,21,15,} },
		{ { 0x6E, 0x7E, 0xBE, 0x62, 0x72, }, { 48,21,15, 48,21,15,} },
		{ { 0xD6, 0xB6, 0xBA, 0x76, 0x72, }, { 44,17,15, 48,42,15,} },
		{ { 0xDF, 0xE3, 0xE3, 0xE3, 0xE3, }, { 48,21,15, 48,23,39,} },
	},

	0x00, // Arrival input

	Wily1Ascii, Wily1Char
};
